Debian Bug report logs - #287992
RM: gkdial -- RoQA; orphaned for 400+ days, RC-buggy, no upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Gustavo Noronha Silva <kov@debian.org>

Date: Fri, 31 Dec 2004 14:18:05 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gustavo Noronha Silva <kov@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: gkdial -- PPP dial-ip configuration and dialing tool
Date: Fri, 31 Dec 2004 12:11:43 -0200
Package: wnpp
Severity: normal

I intend to orphan the gkdial package.

The package description is:
 GKDial stands for GTK Kov Dialer. It is meant to setup
 PPP connections easily without needing to edit config
 files and dialing to them.
 .
 It is also meant to dial to the peers you registered
 using pppconfig or another ppp dialer.

I also used to be upstream for this software, but I no longer
have a dial-up connection, and no longer have enough motivation to
keep rewriting this program =D.

I still think we don't have a good ppp dial-up program for GNOME,
though.

I will suggest this package's removal after sarge is released, if
no one cares enough about it to maintain it both for Debian and
upstream.

Thanks,

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-386
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)



Changed Bug title. Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 287992@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Gustavo Noronha Silva <kov@debian.org>, 287992@bugs.debian.org
Subject: Re: O: gkdial -- PPP dial-ip configuration and dialing tool
Date: Sat, 8 Jan 2005 11:30:02 +0100
On Fri, Dec 31, 2004 at 12:11:43PM -0200, Gustavo Noronha Silva wrote:
> I intend to orphan the gkdial package.

I noticed you used CVS to maintain it, for potential future maintainers,
it'd be nice if you could make your full CVS repository of this package
available somewhere.

If it were available, I'd have committed my QA upload that I'm going to
do now to it.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Changed Bug title. Request was from "Guilherme de S. Pastore" <gpastore@colband.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as "Guilherme de S. Pastore" <gpastore@colband.com.br>. Request was from "Guilherme de S. Pastore" <gpastore@colband.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>, 287992@bugs.debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #21 received at 287992-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: "Guilherme de S. Pastore" <gpastore@colband.com.br>
Cc: 287992-quiet@bugs.debian.org
Subject: Bug#287992: ITA: gkdial -- PPP dial-up configuration and dialing tool
Date: Mon, 15 Aug 2005 18:06:01 +0200
On Sun, Jun 19, 2005 at 10:08:14AM -0300, Guilherme de S. Pastore wrote:
> retitle 287992 ITA: gkdial -- PPP dial-up configuration and dialing tool
> owner 287992 !

Do you still intend to adopt gkdial?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information stored:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Guilherme de S. Pastore" <gpastore@colband.com.br>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #26 received at 287992-quiet@bugs.debian.org (full text, mbox):

From: "Guilherme de S. Pastore" <gpastore@colband.com.br>
To: Matej Vela <vela@debian.org>
Cc: 287992-quiet@bugs.debian.org
Subject: Re: Bug#287992: ITA: gkdial -- PPP dial-up configuration and dialing tool
Date: Mon, 15 Aug 2005 13:15:20 -0300
Em Seg, 2005-08-15 às 18:06 +0200, Matej Vela escreveu:
> Do you still intend to adopt gkdial?  (This is just a ping, I'm not
> interested in adopting it myself.)

Yes. The problem is that gkdial is very old and broken code. Even
according to the author and ex-maintainer, it's garbage.

I've been working on a new upstream major version, and that's why there
has been no progress on the package yet.

-- 
Guilherme de S. Pastore (fatalerror)
<gpastore@colband.com.br>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Guilherme de S. Pastore" <gpastore@colband.com.br>:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Guilherme de S. Pastore" <gpastore@colband.com.br>. Full text and rfc822 format available.

Message #31 received at 287992@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: "Guilherme de S. Pastore" <gpastore@colband.com.br>
Cc: 287992@bugs.debian.org
Subject: Re: Bug#287992: ITA: gkdial -- PPP dial-up configuration and dialing tool
Date: Sun, 4 Sep 2005 17:04:54 +0200
On Mon, Aug 15, 2005 at 01:15:20PM -0300, Guilherme de S. Pastore wrote:
> Em Seg, 2005-08-15 ??s 18:06 +0200, Matej Vela escreveu:
> > Do you still intend to adopt gkdial?  (This is just a ping, I'm not
> > interested in adopting it myself.)
> 
> Yes. The problem is that gkdial is very old and broken code. Even
> according to the author and ex-maintainer, it's garbage.
> 
> I've been working on a new upstream major version, and that's why there
> has been no progress on the package yet.

Would you mind if we remove it for the time being?  It didn't ship with
sarge, isn't in a usable state, and takes up time (e.g. Bug#323514) that
would be better spent on other packages.  You can always resurrect it
once it's ready (the NEW queue is pretty fast these days)...

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Guilherme de S. Pastore" <gpastore@colband.com.br>:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Guilherme de S. Pastore" <gpastore@colband.com.br>. Full text and rfc822 format available.

Message #36 received at 287992@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 287992@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: gkdial -- RoQA; RC-buggy, upstream being rewritten
Date: Sat, 01 Oct 2005 23:34:34 +0200
retitle 287992 RM: gkdial -- RoQA; RC-buggy, upstream being rewritten
reassign 287992 ftp.debian.org
thanks

On Sun, Sep 04, 2005 at 17:04:54 +0200, Matej Vela wrote:
> On Mon, Aug 15, 2005 at 01:15:20PM -0300, Guilherme de S. Pastore wrote:
>> Em Seg, 2005-08-15 ??s 18:06 +0200, Matej Vela escreveu:
>> > Do you still intend to adopt gkdial?  (This is just a ping, I'm not
>> > interested in adopting it myself.)
>> 
>> Yes. The problem is that gkdial is very old and broken code. Even
>> according to the author and ex-maintainer, it's garbage.
>> 
>> I've been working on a new upstream major version, and that's why there
>> has been no progress on the package yet.
>
> Would you mind if we remove it for the time being?  It didn't ship with
> sarge, isn't in a usable state, and takes up time (e.g. Bug#323514) that
> would be better spent on other packages.  You can always resurrect it
> once it's ready (the NEW queue is pretty fast these days)...

I haven't heard back from Guilherme, so please remove gkdial for now
(it's already lead to one pointless upload).

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ftp.debian.org' to `wnpp'. Request was from "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #49 received at 287992-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br>
Cc: 287992-quiet@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: gkdial shouldn't be removed
Date: Sun, 02 Oct 2005 18:02:12 +0200
"Guilherme de S. Pastore" <guilherme.pastore@terra.com.br> writes:

> retitle 287992 ITA: gkdial -- PPP dial-ip configuration and dialing tool
> reassign 287992 wnpp
> kthxbye
>
> Hi,
>
> first, sorry for not replying to your last message. Real life sometimes
> can suck all our time and this kind of stuff... heh

I know. :-)

> Well, basically, I've just seen a person on a user support channel
> claiming gkdial was working nicely, while kppp was totally borked. This
> reminds me of all the times I've heard that, no matter how awful
> gkdial's situation was, it was still useful to many people, and behaved
> better than all the other available tools (such as gnome-ppp and kppp).
>
> I think that's valid to request that it stays in the archive. I'll try
> to get my damn soft modem to work soonish to investigate those RC-bugs
> properly and fix whatever is necessary in current gkdial before the
> whole upstream rewrite, but I really think it shouldn't be removed
> meanwhile.

Ah, sorry then.  Bug#299939 and Bug#273966 gave me the impression it's
no longer useful, but if that's not the case, keeping it is fine by me.

If you don't expect to make an upload soon, could you ask the ftpmasters
[1] to list you as the maintainer in the override file?  Or at least
subscribe to the Package Tracking System [2] to get BTS traffic?

[1] <http://www.debian.org/Bugs/Developer#maintincorrect>
[2] <http://packages.qa.debian.org/gkdial>

Thanks!

Matej



Information stored:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #54 received at 287992-quiet@bugs.debian.org (full text, mbox):

From: "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br>
To: Matej Vela <vela@debian.org>
Subject: Re: gkdial shouldn't be removed
Date: Sun, 02 Oct 2005 13:13:29 -0300
Em Dom, 2005-10-02 às 18:02 +0200, Matej Vela escreveu:
> "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br> writes:
> > first, sorry for not replying to your last message. Real life sometimes
> > can suck all our time and this kind of stuff... heh
> 
> I know. :-)

I guessed that. It's difficult to find someone, mainly among those
involved with Debian, Free Software or any other voluntary project who
doesn't know this very well, heh.

> Ah, sorry then.

No reason to be sorry, you had no way to guess that =)

> If you don't expect to make an upload soon, could you ask the ftpmasters
> [1] to list you as the maintainer in the override file?  Or at least
> subscribe to the Package Tracking System [2] to get BTS traffic?
> 
> [1] <http://www.debian.org/Bugs/Developer#maintincorrect>
> [2] <http://packages.qa.debian.org/gkdial>

Because of the possibly-RC bugs, I'm installing X and gkdial on a
Pentium 200 machine here (wonder if it will be able to handle it, haha),
which is the only one with a hardmodem I still have around =D I should
upload a new package during the next week or so =)

Subscribing to the PTS is something I should already have done, but kept
forgetting, it was good that you reminded me =D

Thanks!

-- 
Guilherme de S. Pastore (fatalerror)
<guilherme.pastore@terra.com.br>







Tags added: pending Request was from "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Guilherme de S. Pastore" <gpastore@colband.com.br>:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Guilherme de S. Pastore" <gpastore@colband.com.br>. Full text and rfc822 format available.

Message #61 received at 287992@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br>
Cc: 287992@bugs.debian.org
Subject: Re: gkdial shouldn't be removed
Date: Sun, 20 Nov 2005 10:20:51 +0100
On Sun, Oct 02, 2005 at 13:13:29 -0300, Guilherme de S. Pastore wrote:
[...]
> Because of the possibly-RC bugs, I'm installing X and gkdial on a
> Pentium 200 machine here (wonder if it will be able to handle it, haha),
> which is the only one with a hardmodem I still have around =D I should
> upload a new package during the next week or so =)

What is the status of this?

> Subscribing to the PTS is something I should already have done, but kept
> forgetting, it was good that you reminded me =D

The subscriber count is still 0. :-(

Thanks,

Matej



Changed Bug title. Request was from "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by "Guilherme de S. Pastore" <gpastore@colband.com.br>. Request was from "Guilherme de S. Pastore" <guilherme.pastore@terra.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <mvela@irb.hr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #72 received at 287992@bugs.debian.org (full text, mbox):

From: Matej Vela <mvela@irb.hr>
To: Gustavo Noronha Silva <kov@debian.org>
Cc: 287992@bugs.debian.org
Subject: Re: O: gkdial -- PPP dial-ip configuration and dialing tool
Date: Mon, 13 Mar 2006 11:41:05 +0100
Gustavo Noronha Silva <kov@debian.org> writes:

> I intend to orphan the gkdial package.
[...]
> I will suggest this package's removal after sarge is released, if
> no one cares enough about it to maintain it both for Debian and
> upstream.

I think it's time to remove it.

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#287992; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #77 received at 287992@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 287992@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>
Subject: RM: gkdial -- RoQA; orphaned for 400+ days, RC-buggy, no upstream
Date: Mon, 20 Mar 2006 09:27:45 +0100
retitle 287992 RM: gkdial -- RoQA; orphaned for 400+ days, RC-buggy, no upstream
reassign 287992 ftp.debian.org
thanks

I think we should remove gkdial.

  * Orphaned for 1 year and 78 days.
  * Long-standing RC bug.
  * Did not release with sarge.
  * Alternatives: gnome-ppp, kppp.
  * The previous Debian maintainer, Gustavo Noronha Silva, was also
    upstream; the SourceForge project is now gone.
  * popcon: 33 installations, 8 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gustavo Noronha Silva <kov@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #86 received at 287992-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 287992-close@bugs.debian.org
Cc: gkdial@packages.debian.org, gkdial@packages.qa.debian.org
Subject: Bug#287992: fixed
Date: Wed, 22 Mar 2006 04:32:43 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    gkdial |  1:1.8.0-4 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
gkdial-gnome |  1:1.8.0-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 287992@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:04:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:53:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.